无标题文档
wdCP系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdCDN系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
wdOS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用教程) wdDNS系统 (介绍,功能特性,运行环境,安装说明,演示,常见问题,使用手册)
注册 发贴 提问 回复-必看必看 wddns免费智能 DNS 开通 本地或虚拟机使 用wdcp 一键包在mysql编 译时"卡住"
【300G高防】双线 无视攻击 wdcp官方技术支持/服务 阿里云8折优惠券 无敌云 腾讯云优惠中,现注册更有260代金额券赠送
返回列表 发帖
提问三步曲: 提问先看教程/FAQ索引(wdcp,wdcp_v3,一键包)及搜索,会让你更快解决问题
1 提供详细,如系统版本,wdcp版本,软件版本等及错误的详细信息,贴上论坛或截图发论坛
2 做过哪些操作或改动设置等

温馨提示:信息不详,很可能会没人理你!论坛有教程说明的,也可能没人理!因为,你懂的

[教程] v3升级到v3.2后,多PHP版本共存的安装方法

自v3.2开始,wdcp支持多PHP版本共存共用和切换,可根据需求灵活选择和使用
从v3.0/3.1升级的用户,还需要再安装下多版本的PHP环境,才可完全正常使用和切换

安装方法如下:
wget http://down.wdlinux.cn/in/phps.sh
sh phps.sh
(共支持8个版本的PHP,如5.2.17/5.3.29/5.4.45/5.5.38/5.6.30/7.0/7.2/7.3)

可直接执行sh phps.php
会提示相应的版本选择安装或安装全部

也可以针对或指定某个版本,如
sh phps.sh 7.1.4
即可安装7.1.4

多版本PHP的手动启动|停止|重起
如:5.5
/www/wdlinux/phps/55/bin/php-fpm start
/www/wdlinux/phps/55/bin/php-fpm stop
/www/wdlinux/phps/55/bin/php-fpm restart
如是其它版本,把55替换为相应版本即可

如无特别求,可不必全部安装或启动,因为启动多一个,就会占资源多一份

已知问题
CentOS 7.X系列系统,不再支持php-5.2/5.3的老版本PHP,可考虑使用CentOS 6.X
看清提问三步曲及多看教程/FAQ索引(wdcp,v3,一键包,wdOS),益处多多.wdcp工具集 阿里云主机8折优惠码

@admin
补充,ssh手动执行启动php某个版本提示如下
/www/wdlinux/phps/54/bin/php-fpm start

Graceful ...
xzone10 发表于 2018-4-14 23:58



   同样的问题 解决了吗
cmsphp.com

TOP

回复 3# 虫子

仅限3楼这种的错误提示
    我也是这个问题,试了很多方法,最终让我解决了
将 rpmforge.repo为 rpmforge.repo.bak
然后换成国内的源

curl -o /etc/yum.repos.d/CentOS-Base.repo  https://www.xmpan.com/Centos-6-Vault-Aliyun.repo

然后#yum clean all
      #yum makecache
然后#yum install -y icu libicu libicu-devel

这就可以安装PHP了
wget http://down.wdlinux.cn/in/phps.sh
sh phps.sh

TOP

vultr日本服务器 下载速度不行

TOP

下载软件包出错:
  libicu-devel-4.2.1-15.el6_10.x86_64: failure: Packages/libicu-devel-4.2.1-15.el6_10.x86_64.rpm from updates: [Errno 256] No more mirrors to try.
  icu-4.2.1-15.el6_10.x86_64: failure: Packages/icu-4.2.1-15.el6_10.x86_64.rpm from updates: [Errno 256] No more mirrors to try.
  sudo-1.8.6p3-29.el6_10.3.x86_64: failure: Packages/sudo-1.8.6p3-29.el6_10.3.x86_64.rpm from updates: [Errno 256] No more mirrors to try.
  libicu-4.2.1-15.el6_10.x86_64: failure: Packages/libicu-4.2.1-15.el6_10.x86_64.rpm from updates: [Errno 256] No more mirrors to try.

phps.sh: line 185: [: s: integer expression expected
phps.sh: line 188: [: s: integer expression expected
phps.sh: line 191: [: s: integer expression expected

--2021-01-09 11:10:39--  http://dl.wdlinux.cn/files/php/php-sh.tar.gz
正在解析主机 dl.wdlinux.cn... 119.146.223.143
正在连接 dl.wdlinux.cn|119.146.223.143|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 404 Not Found
2021-01-09 11:10:39 错误 404:Not Found。

php-sh.tar.gz download failed
已杀死
cmsphp.com

TOP

求求多MySQL版本共存的安装方法

TOP

回复 1# admin


   sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录
sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录
sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录
sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录
sed:无法读取 /www/wdlinux/phps/52/etc/php-fpm.conf:没有那个文件或目录
chmod: 无法创建符号链接"/www/wdlinux/phps/52/bin/php-fpm"

TOP

7.3.2 install complete

     
  1. configurations
复制代码
, phps install is complete
      visit http://ip:8080
      more infomation please visit http://www.wdlinux.cn/bbs/
大佬,恭喜的英文写错了啊
呵呵

TOP

搞了半天没装上,原来云锁在做怪,把云锁操作系统加固关掉就能装了

TOP

学习了啊,很赞,很需要
爱好是一种

TOP

lnmp模式不能自动启动php,如何设置
俺本仁慈

TOP

本帖最后由 lytliang 于 2019-7-9 11:08 编辑

安装时选择4 安装的是php5.6  不想安装其他的php版本, 如何切换成lnmp模式,提示让我设置php默认版本 如何设置默认版本,就装了一个php5.6版本啊

被逼无奈,我安装了php7.0  运行 设置默认提示我未运行

哪里有个详细的教程啊?
俺本仁慈

TOP

请问有 ubuntu 的版本的 sh 吗? 非常感谢 !
linux

TOP

5.4.45失效,5.6.30也无效
没个性签名

TOP

楼主重装了后,发现
s h phps.sh 7.x.x
及以上全部失效,从sh文件里,我发现最新的是php7.2.13,但是也无效

TOP

返回列表